# Week 10

# IMPORTANT:
This week there is a new seminar format - we now move to just two sessions which will mean larger groups, however these will be held in lecture halls with an appropriate capacity! It's important however that you check which room this session is **EVERY WEEK**. ***These sessions are currently scheduled for a few different rooms***

> **This week's quiz can be found here:**  https://go.uwe.ac.uk/cppQuiz
> 
> [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=9bd6a8e9-8470-464d-9abc-add000bbe3ae&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/bbcswebdav/pid-10055043-dt-content-rid-41743738_2/xid-41743738_2)> 

💬 There is now a discord. Join the discord if you want to : [https://discord.gg/V559GVJQnK](https://discord.gg/V559GVJQnK "https://discord.gg/V559GVJQnK") 💬
## Working on

### 👉 [WORKSHEET 3](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet3/worksheet3.md?ref_type=heads) 👈

- Writing simple programs that use print statements (either 
```std::cout``` or `printf()` is acceptable)
- Using for loops to control the flow of programs
- Continuing to write simple expressions and statements to solve problems
- Making use of variables, literals and common types

## Have already completed ...

- Setup up your own machine for development
- Understand the basics of git for forking, cloning and pushing code.

If you have not already completed this please do so ASAP.

## By the end of the week...

... you should have completed:

* Completed [WORKSHEET 3](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet3/worksheet3.md?ref_type=heads)
- Watching [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=9bd6a8e9-8470-464d-9abc-add000bbe3ae&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/bbcswebdav/pid-10055043-dt-content-rid-41743738_2/xid-41743738_2)
*  Submitted Worksheet 2 
- Attend the new format seminar session **(Please check your timetable as the location changes weekly!)**
- Join the discord if you want to : [https://discord.gg/V559GVJQnK](https://discord.gg/V559GVJQnK "https://discord.gg/V559GVJQnK")
- Attend 2 practicals to work on worksheet 3

...you should be able to:

- Print to the console in c++
- Write at least one type of loop in c++

## Resources

- [WORKSHEET 3](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet3/worksheet3.md?ref_type=heads)
- [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=9bd6a8e9-8470-464d-9abc-add000bbe3ae&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/bbcswebdav/pid-10055043-dt-content-rid-41743738_2/xid-41743738_2)
- Guide on using [Command Line Interfaces ](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/cli.md?ref_type=heads)
- [Git submissions](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-submissions.md?ref_type=heads)
- [Git Reference](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-reference.md?ref_type=heads)

### External
> Note the following resources are from alternative sources and so not everything shown will align with how we are working (things like using different IDEs and compilers.) They are provided as extra resources for further and more varied explantations on related topics.

- [w3 schools](https://www.w3schools.com/cpp/cpp_output.asp)
- [Derek Banas C++ ](https://www.youtube.com/watch?v=Rub-JsjMhWY&t=2487s)
- [using cout](https://www.youtube.com/watch?v=jVC5r0Fpibc)
- [VERY fast overview of printing](https://youtu.be/MNeX4EGtR5Y?si=1uU6QqdFAFUIaH3x&t=70)

